GET
/v1/platform/webhooks/{id}/deliveriesGET /v1/platform/webhooks/{id}/deliveries
Scopes: platform:webhooks:read
Requires scope: platform:webhooks:read.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id | path | string<uuid> | yes | |
status | query | string | no | |
event_type | query | string | no | |
from | query | string<date-time> | no | |
to | query | string<date-time> | no | |
cursor | query | string | no | |
page_size | query | integer<int32> | no |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
deliveries | WebhookDeliveryResponse[] | no | |
next_cursor | string | no | |
has_more | boolean | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.GET('/v1/platform/webhooks/{id}/deliveries', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);